/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/

#include "stdafx.h"
#include "resource.h"

// The module attribute causes DllMain, DllRegisterServer and DllUnregisterServer to be automatically implemented for you
[ module(dll, uuid = "{268bebf4-d991-4848-a7da-067aef80a95b}", 
		 name = "Agilent34959ALib",
		 version = "1.3",  
		 helpstring = "IVI Agilent34959A 1.3 Type Library",
		 helpfile = "Agilent34980A.chm",
		 resource_name = "IDR_Agilent34959A") ]

class CNtlModule {
public:
#if (_MSC_VER < 1400) // Before VS2005
	DECLARE_REGISTRY_APPID_RESOURCEID(IDR_Agilent34959A, "{12956b9b-3776-4067-b7ed-a5505c37834c}")
#endif

	HRESULT DllRegisterServer(BOOL bRegTypeLib = TRUE)
	{
		HRESULT hr = __super::DllRegisterServer(bRegTypeLib);

		return hr;
	}

	HRESULT DllUnregisterServer()
	{
		HRESULT hr = __super::DllUnregisterServer();

		return hr;
	}
};

